pkgname='installer'
pkgver=0.0.1
pkgrel=1
pkgdesc='shastraos Installer Framework'
arch=(any)
depends=('squashfs-tools' 'arch-install-scripts' 'util-linux' 'parted')
provides=('shastraos-inst')
conflicts=('shastraos-inst')
source=('git-inst::git+https://gitlab.com/shastraos/installer/shastraos-installer.git')
sha256sums=('SKIP')

pkgver() {
    cd "${srcdir}/git-inst"
    printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
    cd "${srcdir}/git-inst"
    install -Dm755 shastraos-inst -t "${pkgdir}/usr/bin/"
}
